=== debian/changelog ===
os-autoinst (4.6.1674476646.0798a03c-6) unstable; urgency=medium

  * make test exclusions conditional on arch

 -- Philip Hands <phil@hands.com>  Sat, 25 Feb 2023 20:32:04 +0100

os-autoinst (4.6.1674476646.0798a03c-5) unstable; urgency=medium

  * mips64el needs even longer for the tests

 -- Philip Hands <phil@hands.com>  Sat, 25 Feb 2023 10:07:19 +0100

os-autoinst (4.6.1674476646.0798a03c-4) unstable; urgency=medium

  * extend (too short for some arches) test timeout

 -- Philip Hands <phil@hands.com>  Fri, 24 Feb 2023 23:19:41 +0100

os-autoinst (4.6.1674476646.0798a03c-3) unstable; urgency=medium

  * disable fragile 10-virtio_terminal.t test (Closes: #1031195)

 -- Philip Hands <phil@hands.com>  Fri, 24 Feb 2023 21:06:27 +0100

os-autoinst (4.6.1674476646.0798a03c-2) unstable; urgency=medium

  * update Standards-Version
  * drop t/29-backend-generalhw.t (closes: #1031195)

 -- Philip Hands <phil@hands.com>  Fri, 17 Feb 2023 13:55:24 +0100

os-autoinst (4.6.1674476646.0798a03c-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1674476646.0798a03c.
  * set myself as maintainer

 -- Philip Hands <phil@hands.com>  Tue, 24 Jan 2023 12:09:58 +0100

os-autoinst (4.6.1667579802.62acb888-3) unstable; urgency=medium

  * depends libyaml-pp-perl

 -- Philip Hands <phil@hands.com>  Fri, 18 Nov 2022 23:55:38 +0100

os-autoinst (4.6.1667579802.62acb888-2) unstable; urgency=medium

  * cope with a test env. that has echo in /bin (closes: #1024240)

 -- Philip Hands <phil@hands.com>  Thu, 17 Nov 2022 13:44:58 +0100
