## os-autoinst 4.6.1699947509.970d0609

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.17.0)
 project(os-autoinst CXX)
-cmake_minimum_required(VERSION 3.3.0)
 
 # list non-C++ source files
 set(DOC_FILES
@@ -16,11 +16,9 @@
     backend/console_proxy.pm
     backend/driver.pm
     backend/generalhw.pm
-    backend/ikvm.pm
     backend/ipmi.pm
     backend/null.pm
     backend/pvm_hmc.pm
-    backend/pvm.pm
     backend/qemu.pm
     backend/s390x.pm
     backend/spvm.pm
@@ -217,6 +215,12 @@
     COMPONENT "openvswitch" EXCLUDE_FROM_ALL
 )
 install(
+    FILES "script/os-autoinst-setup-multi-machine"
+    DESTINATION "${CMAKE_INSTALL_BINDIR}"
+    PERMISSIONS ${EXECUTABLE_PERMISSIONS}
+    COMPONENT "openvswitch" EXCLUDE_FROM_ALL
+)
+install(
     FILES "etc/dbus-1/system.d/org.opensuse.os_autoinst.switch.conf"
     DESTINATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d"
     COMPONENT "openvswitch"
