=== debian/changelog ===
os-autoinst (4.6.1699947509.970d0609-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:04:16 +1100

os-autoinst (4.6.1699947509.970d0609-5build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:46:57 +0100

os-autoinst (4.6.1699947509.970d0609-5) unstable; urgency=medium

  * also give riscv64 extra time for running tests

 -- Philip Hands <phil@hands.com>  Wed, 17 Jan 2024 16:49:43 +0100

os-autoinst (4.6.1699947509.970d0609-4) unstable; urgency=medium

  * add mips64el to archs that need longer for tests.

 -- Philip Hands <phil@hands.com>  Wed, 17 Jan 2024 09:57:36 +0100

os-autoinst (4.6.1699947509.970d0609-3) unstable; urgency=medium

  * skip tests that depend on git if not in a repo.
  * deal with $BUILD_ARCH being unset

 -- Philip Hands <phil@hands.com>  Mon, 15 Jan 2024 17:34:32 +0100

os-autoinst (4.6.1699947509.970d0609-2) unstable; urgency=medium

  * really skip the failing i386 test (Closes: #1060653)

 -- Philip Hands <phil@hands.com>  Mon, 15 Jan 2024 10:25:29 +0100

os-autoinst (4.6.1699947509.970d0609-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1699947509.970d0609. (Closes: #1054776)

 -- Philip Hands <phil@hands.com>  Fri, 08 Dec 2023 21:56:25 +0100
