=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: os-autoinst
 Section: devel
 Priority: optional
-Maintainer: Philip Hands <phil@hands.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philip Hands <phil@hands.com>
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
