=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,11 @@
 # more tests that tend to fail...
 tests_excl += t/20-openqa-isotovideo-utils.t t/21-needle-downloader.t t/27-consoles-vnc.t t/27-consoles-local_xvnc.t t/27-consoles-vmware.t t/29-backend-ipmi.t t/30-mmapi.t t/30-make.t
 tests_excl += xt/30-make.t
+# perltidy currently has a version skew
+tests_excl += xt/00-tidy.t
 # these fail on single CPU builds (and perhaps some particular archs)
 tests_excl += t/10-virtio_terminal.t t/29-backend-generalhw.t
-ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel))
+ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel mips64el riscv64))
   tests_extra_settings = OPENQA_TEST_TIMEOUT_SCALE_CI=10
 endif
 ifneq (,$(filter $(DEB_BUILD_ARCH), mips64el))
