## os-autoinst 4.6.1712854180.1bf07142

=== CMakeLists.txt ===
--- 
+++ 
@@ -243,7 +243,7 @@
 add_custom_target(
     update-deps
     COMMENT "Updating dependency information"
-    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/update-deps" --specfile dist/rpm/os-autoinst.spec --dockerfile container/os-autoinst_dev/Dockerfile
+    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/update-deps" --cpanfile cpanfile --specfile dist/rpm/os-autoinst.spec --dockerfile container/os-autoinst_dev/Dockerfile
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
 )
