=== debian/changelog ===
os-autoinst (4.6.1712854180.1bf07142-4) unstable; urgency=medium

  * the (rather niche) ustreamer video tests fail on some archs
    (armel, armhf, i386 & s390x), so skip them there to avoid FTBFS

 -- Philip Hands <phil@hands.com>  Sat, 04 May 2024 17:47:21 +0200

os-autoinst (4.6.1712854180.1bf07142-3) unstable; urgency=medium

  * update to Standards-Version: 4.7.0 (from 4.6.2)
  * debian/rules: use execute_(before|after)_dh_...
  * clean up ./_Inline/ dir (closes: #1047213)

 -- Philip Hands <phil@hands.com>  Fri, 03 May 2024 09:49:16 +0200

os-autoinst (4.6.1712854180.1bf07142-2) unstable; urgency=medium

  * Build-Depend on libfile-map-perl (for tests)

 -- Philip Hands <phil@hands.com>  Thu, 25 Apr 2024 15:14:45 +0200

os-autoinst (4.6.1712854180.1bf07142-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1712854180.1bf07142.

 -- Philip Hands <phil@hands.com>  Thu, 25 Apr 2024 10:48:11 +0200
