=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: os-autoinst
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philip Hands <phil@hands.com>
+Maintainer: Philip Hands <phil@hands.com>
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
@@ -71,13 +70,14 @@
                libtime-moment-perl <!nocheck>,
                libjson-validator-perl <!nocheck>,
                libcode-tidyall-perl <!nocheck>,
+               libfile-map-perl <!nocheck>,
                spell <!nocheck>,
                git <!nocheck>,
                wget <!nocheck>,
                cpio <!nocheck>,
                procps <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://open.qa
 Vcs-Git: https://salsa.debian.org/debian/os-autoinst.git
 Vcs-Browser: https://salsa.debian.org/debian/os-autoinst
