=== debian/rules ===
--- 
+++ 
@@ -30,12 +30,10 @@
 	dh_auto_configure -- -DOS_AUTOINST_DOC_DIR=/usr/share/doc/$(DEB_SOURCE) \
 		-DSYSTEMD_SERVICE_DIR=/lib/systemd/system -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find $(CURDIR)/debian/os-autoinst/usr/lib/ -name "*.packlist" -delete
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	chmod +x $(CURDIR)/debian/os-autoinst/usr/lib/os-autoinst/dmidata/dump
 
 override_dh_auto_test:
@@ -47,9 +45,9 @@
 	# discard this file, as it breaks reproducibility on salsa
 	-rm doc/backend_vars.asciidoc.newvars
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	cd $(CURDIR) && rm -f snd2png/snd2png ppmclibs/blib/arch/auto/tinycv/tinycv.so \
 	       	ppmclibs/blib/lib/tinycv.pm debugviewer/debugviewer videoencoder \
 	       	doc/backend_vars.asciidoc.newvars
+	-rm -r _Inline
 	if [ -f $(CURDIR)/isotovideo.orig ]; then mv $(CURDIR)/isotovideo.orig $(CURDIR)/isotovideo; fi
-	dh_auto_clean
