## os-autoinst 4.6.1731418769.97d9a7fd

=== CMakeLists.txt ===
--- 
+++ 
@@ -85,8 +85,7 @@
 )
 set(MISC_FILES
     consoles/icewm.cfg
-    crop.py
-    testapi.py
+    script/crop.py
     dmidata/dell_e6330/smbios_type_1.bin
     dmidata/dell_e6330/smbios_type_2.bin
     dmidata/dell_e6330/smbios_type_3.bin
@@ -94,6 +93,11 @@
     dmidata/hp_elitebook_820g1/smbios_type_2.bin
     dmidata/hp_elitebook_820g1/smbios_type_3.bin
     dmidata/dump
+)
+set(PYTHON_BINDINGS
+    lockapi
+    mmapi
+    testapi
 )
 
 # determine install directories
@@ -138,6 +142,11 @@
         COMMAND ln -fs $<TARGET_FILE:snd2png> "${CMAKE_CURRENT_SOURCE_DIR}/snd2png/snd2png"
         COMMAND ln -fs $<TARGET_FILE:debugviewer> "${CMAKE_CURRENT_SOURCE_DIR}/debugviewer/debugviewer"
     )
+    foreach (PYTHON_BINDING IN LISTS PYTHON_BINDINGS)
+        list(APPEND OUT_OF_SOURCE_TREE_BUILD_COMMANDS
+            COMMAND ln -fs "${CMAKE_CURRENT_BINARY_DIR}/${PYTHON_BINDING}.py" "${CMAKE_CURRENT_SOURCE_DIR}/${PYTHON_BINDING}.py"
+        )
+    endforeach ()
 endif ()
 add_custom_target(
     symlinks
@@ -173,7 +182,7 @@
     COMMAND
         sed -e "\"s,\\$$installprefix = undef\;,\\$$installprefix = '${CMAKE_INSTALL_PREFIX}/${OS_AUTOINST_DATA_DIR}'\;,\""
             -e "\"s,my \\$$thisversion = \\(.*\\);,my \\$$thisversion = '${OS_AUTOINST_VERSION_REPLACE}';,\""
-        "${CMAKE_CURRENT_SOURCE_DIR}/isotovideo" > "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
+        "${CMAKE_CURRENT_SOURCE_DIR}/script/isotovideo" > "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
     DEPENDS "isotovideo" "CMakeLists.txt" "${CMAKE_CURRENT_BINARY_DIR}/install-target"
     OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
 )
@@ -200,6 +209,13 @@
 foreach (FILE README.asciidoc COPYING ${GENERATED_DOC_FILES})
     install(FILES "${FILE}" DESTINATION "${OS_AUTOINST_DOC_DIR}")
 endforeach ()
+foreach (PYTHON_BINDING IN LISTS PYTHON_BINDINGS)
+    configure_file("cmake/templates/api.py.in" "${PYTHON_BINDING}.py")
+    install(
+        FILES "${CMAKE_CURRENT_BINARY_DIR}/${PYTHON_BINDING}.py"
+        DESTINATION "${OS_AUTOINST_DATA_DIR}"
+    )
+endforeach ()
 foreach (FILE ${PERL_FILES} ${MISC_FILES})
     get_filename_component(SUB_DIR ${FILE} DIRECTORY)
     install(FILES "${FILE}" DESTINATION "${OS_AUTOINST_DATA_DIR}/${SUB_DIR}")
@@ -207,10 +223,9 @@
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/install-target/cv.pm" DESTINATION "${OS_AUTOINST_DATA_DIR}")
 install(FILES "schema/Wheels-01.yaml" DESTINATION "${OS_AUTOINST_DATA_DIR}/schema")
 
-# install openvswitch files
-install(
-    FILES "os-autoinst-openvswitch"
-    DESTINATION "${OS_AUTOINST_DATA_DIR}"
+install(
+    FILES "script/os-autoinst-openvswitch"
+    DESTINATION "${OS_AUTOINST_DATA_DIR}/script"
     PERMISSIONS ${EXECUTABLE_PERMISSIONS}
     COMPONENT "openvswitch" EXCLUDE_FROM_ALL
 )
@@ -226,10 +241,10 @@
     COMPONENT "openvswitch"
     EXCLUDE_FROM_ALL
 )
-foreach (EXTRA_SCRIPT check_qemu_oom dewebsockify vnctest)
+foreach (EXTRA_SCRIPT script/check_qemu_oom script/dewebsockify script/vnctest)
     install(
         FILES "${EXTRA_SCRIPT}"
-        DESTINATION "${OS_AUTOINST_DATA_DIR}"
+        DESTINATION "${OS_AUTOINST_DATA_DIR}/script"
         PERMISSIONS ${EXECUTABLE_PERMISSIONS}
     )
 endforeach ()
