=== debian/changelog ===
os-autoinst (4.6.1731418769.97d9a7fd-4) unstable; urgency=medium

  [ Roland Clobus ]
  * Fix buffer overflow in isotovideo
  * Prevent CMakeLists.txt in docs directory
  * t/00: Ignore files deleted from git

  [ Tina Müller ]
  * Adapt check for git error message to new version (closes: #1101603)
    (cherry-picked from upstream by Roland Clobus)

 -- Philip Hands <phil@hands.com>  Mon, 07 Apr 2025 10:03:28 +0200

os-autoinst (4.6.1731418769.97d9a7fd-3) unstable; urgency=medium

  * on ppc64el cache cleanup test fails - disable
  * sparc64: be more patient when running tests

 -- Philip Hands <phil@hands.com>  Sat, 08 Feb 2025 11:16:03 +0100

os-autoinst (4.6.1731418769.97d9a7fd-2) unstable; urgency=medium

  * recommend ffmpeg (closes: #1093632)

 -- Philip Hands <phil@hands.com>  Sat, 08 Feb 2025 00:42:48 +0100

os-autoinst (4.6.1731418769.97d9a7fd-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1731418769.97d9a7fd.
  * add missing depends (closes: #1089652)
  * Build-Depends: pkgconf (rather than pkg-config)

 -- Philip Hands <phil@hands.com>  Sat, 21 Dec 2024 17:49:36 +0100
