=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Philip Hands <phil@hands.com>
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                cmake,
                ninja-build,
                dpkg-dev (>= 1.19.0~),
@@ -76,6 +76,7 @@
                wget <!nocheck>,
                cpio <!nocheck>,
                procps <!nocheck>,
+               socat <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: http://open.qa
@@ -114,12 +115,18 @@
                libnet-snmp-perl,
                libjson-xs-perl,
                libyaml-pp-perl,
+               libtime-moment-perl,
+               libmojo-ioloop-readwriteprocess-perl,
+               libjson-validator-perl,
+               libcpanel-json-xs-perl,
+               liblist-moreutils-perl,
 Enhances: openqa
 Recommends: x11-xkb-utils,
 # Upstream recommends: /usr/bin/Xvnc
             tigervnc-standalone-server,
 # Upstream recommends: dumponlyconsole
             openvswitch-switch,
+            ffmpeg,
 Description: automated testing of Operating Systems
  The OS-autoinst project aims at providing a means to run fully automated
  tests. Especially to run tests of basic and low-level operating system
