=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 tests_excl += xt/00-tidy.t
 # these fail on single CPU builds (and perhaps some particular archs)
 tests_excl += t/10-virtio_terminal.t t/29-backend-generalhw.t
-ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel mips64el riscv64))
+ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel mips64el riscv64 sparc64))
   tests_extra_settings = OPENQA_TEST_TIMEOUT_SCALE_CI=10
 endif
 ifneq (,$(filter $(DEB_BUILD_ARCH), mips64el))
@@ -37,6 +37,7 @@
 	chmod +x $(CURDIR)/debian/os-autoinst/usr/lib/os-autoinst/dmidata/dump
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# some of the tests apply themselves to all the source they can find, which
 	# during a Debian build includes debris created by quilt in the .pc/
 	# directory, causing those tests to fail, so let's just discard the rubbish:
@@ -44,6 +45,7 @@
 	cd build && PROVE_ARGS=-v CI=1 $(tests_extra_settings) ninja -v check-pkg-build
 	# discard this file, as it breaks reproducibility on salsa
 	-rm doc/backend_vars.asciidoc.newvars
+endif
 
 execute_before_dh_auto_clean:
 	cd $(CURDIR) && rm -f snd2png/snd2png ppmclibs/blib/arch/auto/tinycv/tinycv.so \
@@ -51,3 +53,6 @@
 	       	doc/backend_vars.asciidoc.newvars
 	-rm -r _Inline
 	if [ -f $(CURDIR)/isotovideo.orig ]; then mv $(CURDIR)/isotovideo.orig $(CURDIR)/isotovideo; fi
+
+override_dh_installdocs:
+	dh_installdocs --exclude CMakeLists.txt
