## os-autoinst 4.6.1748859519.44e4a9ea

=== debian/changelog ===
os-autoinst (4.6.1748859519.44e4a9ea-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1748859519.44e4a9ea.
  * Revert "Add support for lua test modules" which fail in bookworm.

 -- Philip Hands <phil@hands.com>  Sat, 14 Jun 2025 17:14:12 +0200

os-autoinst (4.6.1747239567.0e09f5de-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1747239567.0e09f5de.
  * Build for bookworm-fasttrack

 -- Philip Hands <phil@hands.com>  Sun, 01 Jun 2025 22:31:59 +0200
