## os-autoinst 5.1750841733.3fc0bf73

=== debian/changelog ===
os-autoinst (5.1750841733.3fc0bf73-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1750841733.3fc0bf73.

 -- Philip Hands <phil@hands.com>  Wed, 25 Jun 2025 19:30:39 +0200

os-autoinst (4.6.1749816802.bfdf10eb-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1749816802.bfdf10eb.

 -- Philip Hands <phil@hands.com>  Sun, 15 Jun 2025 16:26:28 +0200
