=== debian/control ===
--- 
+++ 
@@ -71,6 +71,7 @@
                libjson-validator-perl <!nocheck>,
                libcode-tidyall-perl <!nocheck>,
                libfile-map-perl <!nocheck>,
+               libfeature-compat-try-perl <!nocheck>,
                spell <!nocheck>,
                git <!nocheck>,
                wget <!nocheck>,
