## os-autoinst 5.1751470028.ff900af2

=== debian/changelog ===
os-autoinst (5.1751470028.ff900af2-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1751470028.ff900af2.

 -- Philip Hands <phil@hands.com>  Thu, 03 Jul 2025 09:20:30 +0200
