=== debian/control ===
--- 
+++ 
@@ -78,6 +78,8 @@
                cpio <!nocheck>,
                procps <!nocheck>,
                socat <!nocheck>,
+               iproute2 <!nocheck>,
+               jq <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: http://open.qa
@@ -128,6 +130,8 @@
 # Upstream recommends: dumponlyconsole
             openvswitch-switch,
             ffmpeg,
+            jq,
+            iproute2,
 Description: automated testing of Operating Systems
  The OS-autoinst project aims at providing a means to run fully automated
  tests. Especially to run tests of basic and low-level operating system
