## os-autoinst 5.1753993900.1487e479

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 )
 set(PERL_FILES
     autotest.pm
-    backend/amt.pm
     backend/baseclass.pm
     backend/console_proxy.pm
     backend/driver.pm
@@ -28,7 +27,6 @@
     basetest.pm
     bmwqemu.pm
     commands.pm
-    consoles/amtSol.pm
     consoles/console.pm
     consoles/ipmiSol.pm
     consoles/localXvnc.pm
@@ -62,6 +60,7 @@
     OpenQA/Exceptions.pm
     OpenQA/Isotovideo/Backend.pm
     OpenQA/Isotovideo/CommandHandler.pm
+    OpenQA/Isotovideo/Dewebsockify.pm
     OpenQA/Isotovideo/Interface.pm
     OpenQA/Isotovideo/NeedleDownloader.pm
     OpenQA/Isotovideo/Runner.pm
@@ -206,6 +205,11 @@
     DESTINATION "${CMAKE_INSTALL_BINDIR}"
     PERMISSIONS ${EXECUTABLE_PERMISSIONS}
 )
+install(
+    FILES "${CMAKE_CURRENT_SOURCE_DIR}/script/os-autoinst-generate-needle-preview"
+    DESTINATION "${CMAKE_INSTALL_BINDIR}"
+    PERMISSIONS ${EXECUTABLE_PERMISSIONS}
+)
 foreach (FILE README.asciidoc COPYING ${GENERATED_DOC_FILES})
     install(FILES "${FILE}" DESTINATION "${OS_AUTOINST_DOC_DIR}")
 endforeach ()
