=== debian/changelog ===
os-autoinst (5.1753993900.1487e479-2) unstable; urgency=medium

  * build-dep: libcrypt-dev (closes: 1102832)

 -- Philip Hands <phil@hands.com>  Sat, 15 Nov 2025 07:52:15 +0100

os-autoinst (5.1753993900.1487e479-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Philip Hands <phil@hands.com>  Mon, 27 Oct 2025 12:43:42 +0100

os-autoinst (5.1753993900.1487e479-1) unstable; urgency=medium

  * switch back to building for unstable

 -- Philip Hands <phil@hands.com>  Mon, 27 Oct 2025 10:16:13 +0100

os-autoinst (5.1753993900.1487e479-1~fto13+1) trixie-fasttrack; urgency=medium

  * rebuild for trixie-fasttrack

 -- Philip Hands <phil@hands.com>  Sat, 09 Aug 2025 13:08:53 +0200

os-autoinst (5.1753993900.1487e479-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1753993900.1487e479.

  [ fastrack backport related changes: ]
  * Revert "Add support for lua test modules"
  * temporarily disable python tests (for bookworm)

 -- Philip Hands <phil@hands.com>  Wed, 06 Aug 2025 16:02:59 +0200

os-autoinst (5.1751470028.ff900af2-1~fto12+2) bookworm-fasttrack; urgency=medium

  * crossbuild: make perl extension build use the host configuration

 -- Philip Hands <phil@hands.com>  Sat, 12 Jul 2025 10:23:56 +0200
