=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
                pkgconf,
                cmake,
                ninja-build,
+               perl-xs-dev,
+               libcrypt-dev,
                dpkg-dev (>= 1.19.0~),
                libtheora-dev,
                libpng-dev,
