## os-autoinst 5.1764330105.c5cfd48b

=== debian/changelog ===
os-autoinst (5.1764330105.c5cfd48b-1) unstable; urgency=medium

  * Update to new upstream version 5.1764330105.c5cfd48b.

 -- Philip Hands <phil@hands.com>  Tue, 02 Dec 2025 16:52:29 +0100
