=== debian/watch ===
version=4
opts="mode=git, pretty=5.%ct.%h" \
   https://github.com/os-autoinst/os-autoinst \
   HEAD debian uupdate
