=== debian/changelog ===
os-autoinst (5.1765311639.7e3a7626-1~bpo13+2) trixie-backports; urgency=medium

  * re-upload now that -1 has migrated to testing

 -- Philip Hands <phil@hands.com>  Tue, 16 Dec 2025 08:18:43 +0100

os-autoinst (5.1765311639.7e3a7626-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Philip Hands <phil@hands.com>  Thu, 11 Dec 2025 08:29:47 +0100

os-autoinst (5.1765311639.7e3a7626-1) unstable; urgency=medium

  * Update to new upstream version 5.1765311639.7e3a7626.

 -- Philip Hands <phil@hands.com>  Wed, 10 Dec 2025 23:14:46 +0100

os-autoinst (5.1764330105.c5cfd48b-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Philip Hands <phil@hands.com>  Tue, 02 Dec 2025 17:15:13 +0100
