## os-autoinst 5.1768577300.b85e4864

=== debian/changelog ===
os-autoinst (5.1768577300.b85e4864-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Philip Hands <phil@hands.com>  Thu, 22 Jan 2026 21:25:54 +0100

os-autoinst (5.1768577300.b85e4864-1) unstable; urgency=medium

  * Update to new upstream version 5.1768577300.b85e4864.

 -- Philip Hands <phil@hands.com>  Thu, 22 Jan 2026 21:08:33 +0100
